package jp.gr.java_conf.skrb.game.pong;

import java.awt.Color;
import java.awt.Graphics;

public abstract class AbstractSprite implements Sprite {
    private int x;
    private int y;
    private int width;
    private int height;
    private Color color;

    public AbstractSprite() {}

    public AbstractSprite(int width, int height) {
	this(0, 0, width, height, Color.white);
    }

    public AbstractSprite(int x, int y, int width, int height) {
	this(x, y, width, height, Color.white);
    }

    public AbstractSprite(int x, int y, int width, int height, Color color) {
	this.x = x;
	this.y = y;
        this.width = width;
        this.height = height;
	this.color = color;
    }

    public abstract void draw(Graphics g);

    public synchronized int getX() {
        return x;
    }

    public synchronized int getY() {
        return y;
    }

    public synchronized int getWidth() {
        return width;
    }

    public synchronized int getHeight() {
        return height;
    }

    public synchronized Color getColor() {
        return color;
    }

    public synchronized void setColor(Color color) {
        this.color = color;
    }

    public synchronized void setSize(int width, int height) {
	this.width = width;
	this.height = height;
    }

    public synchronized void moveTo(int x, int y) {
        this.x = x;
        this.y = y;
    }
}
