package jp.gr.java_conf.skrb.game.pong;

import java.awt.Color;

public abstract class PongFactory {
    protected static PongFactory instance;
    protected static PongView view;

    protected PongFactory() {}

    public static PongFactory getFactory() {
        return instance;
    }

    public PongView getPongView() {
	return view;
    }

    public abstract Sprite createBall(int width, int height);
    public abstract Sprite createBall(int x, int y, int width, int height);
    public abstract Sprite createBall(int x, int y, int width, int height, Color color);

    public abstract Sprite createPad(int width, int height);
    public abstract Sprite createPad(int x, int y, int width, int height);
    public abstract Sprite createPad(int x, int y, int width, int height, Color color);
}
