package jp.gr.java_conf.skrb.game.pong.cosmo;

import java.util.Properties;

public class CPongProperties {
    private final static int INIT_BALL_X = 120;
    private final static int INIT_BALL_Y = 20;
    private final static int BALL_DIAMETER = 10;
    private final static double INIT_BALL_SPEED = 5.0;
    private final static double MAX_BALL_SPEED = 40.0;
    private final static double BALL_SPEED_STEP = 0.5;

    private final static int INIT_PAD_X = 100;
    private final static int INIT_PAD_Y = 250;
    private final static int PAD_WIDTH = 30;
    private final static int PAD_HEIGHT = 5;
    private final static int PAD_STEP = 2;

    private final static int STAGE_WIDTH = 240;
    private final static int STAGE_HEIGHT = 304;

    private final static int INFO_Y = 20;
    private final static int SCORE_X = 160;
    private final static int HIGH_SCORE_X = 70;
    private final static int REST_BALL_X = 10;
    private final static int START_MESSAGE_X = 80;
    private final static int START_MESSAGE_Y = 140;
    private final static String START_MESSAGE = "Tap Screen.";

    static {
	Properties props = System.getProperties();
	props.put("InitBallX", String.valueOf(INIT_BALL_X));
	props.put("InitBallY", String.valueOf(INIT_BALL_Y));
	props.put("BallDiameter", String.valueOf(BALL_DIAMETER));
	props.put("InitBallSpeed", String.valueOf(INIT_BALL_SPEED));
	props.put("MaxBallSpeed", String.valueOf(MAX_BALL_SPEED));
	props.put("BallSpeedStep", String.valueOf(BALL_SPEED_STEP));

	props.put("InitPadX", String.valueOf(INIT_PAD_X));
	props.put("InitPadY", String.valueOf(INIT_PAD_Y));
	props.put("PadWidth", String.valueOf(PAD_WIDTH));
	props.put("PadHeight", String.valueOf(PAD_HEIGHT));
	props.put("PadStep", String.valueOf(PAD_STEP));
	
	props.put("StageWidth", String.valueOf(STAGE_WIDTH));
	props.put("StageHeight", String.valueOf(STAGE_HEIGHT));

	props.put("InfoY", String.valueOf(INFO_Y));
	props.put("ScoreX", String.valueOf(SCORE_X));
	props.put("HighScoreX", String.valueOf(HIGH_SCORE_X));
	props.put("RestBallX", String.valueOf(REST_BALL_X));
	props.put("StartMessageX", String.valueOf(START_MESSAGE_X));
	props.put("StartMessageY", String.valueOf(START_MESSAGE_Y));
	props.put("StartMessage", START_MESSAGE);

	System.setProperties(props);
    }
}



