package jp.gr.java_conf.skrb.game.pong.fullscreen;

import java.awt.Color;

import  jp.gr.java_conf.skrb.game.pong.PongFactory;
import  jp.gr.java_conf.skrb.game.pong.PongView;
import  jp.gr.java_conf.skrb.game.pong.Sprite;
import  jp.gr.java_conf.skrb.game.pong.awt.Ball;
import  jp.gr.java_conf.skrb.game.pong.awt.Pad;
import jp.gr.java_conf.skrb.game.pong.awt.AWTPongProperties;

public class FSPongFactory extends PongFactory {
    private FSPongFactory() {}

    public static PongFactory getFactory() {
	if (instance == null) {
	    instance =  new FSPongFactory();
	    new AWTPongProperties();
	}

	return instance;
    }

    public PongView getPongView() {
	if (view == null) {
	    view = new FSPongView();
	}

	return view;
    }

    public Sprite createBall(int width, int height) {
	return new Ball(width, height);
    }

    public Sprite createBall(int x, int y, int width, int height) {
	return new Ball(x, y, width, height);
    }

    public Sprite createBall(int x, int y, int width, int height, Color color) {
	return new Ball(x, y, width, height, color);
    }

    public Sprite createPad(int width, int height) {
	return new Pad(width, height);
    }

    public Sprite createPad(int x, int y, int width, int height) {
	return new Pad(x, y, width, height);
    }

    public Sprite createPad(int x, int y, int width, int height, Color color) {
	return new Pad(x, y, width, height, color);
    }
}
